python-apsw (3.36.0-r1-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:44:45 +0000

python-apsw (3.36.0-r1-2) unstable; urgency=medium

  * Remove python3-apsw-dbg package (closes: #994346)

 -- Joel Rosdahl <joel@debian.org>  Sun, 03 Oct 2021 16:53:45 +0200

python-apsw (3.36.0-r1-1) unstable; urgency=medium

  * New upstream release 3.36.0-r1
  * Bump to Standards-Version 4.6.0 with no changes
  * Update debian/copyright to match package copyright

 -- Joel Rosdahl <joel@debian.org>  Sun, 29 Aug 2021 08:44:29 +0200

python-apsw (3.34.0-r1-1) unstable; urgency=medium

  * New upstream release 3.34.0-r1
  * Bump to Standards-Version 4.5.1 with no changes
  * Bump watch file format to version 4 with no changes

 -- Joel Rosdahl <joel@debian.org>  Sat, 13 Feb 2021 12:31:12 +0100

python-apsw (3.32.2-r1-1) unstable; urgency=medium

  * New upstream release 3.32.2-r1
  * Bump to Standards-Version 4.5.0 with no changes
  * Require libsqlite3-dev >= 3.32.0
  * Remove legacy Python 2 packages

 -- Joel Rosdahl <joel@debian.org>  Sun, 26 Jul 2020 20:03:26 +0200

python-apsw (3.30.1-r1-1) unstable; urgency=medium

  * New upstream release 3.30.1-r1
  * Require libsqlite3-dev >= 3.30.0
  * Use dh sequencer and include Python 3.8 extensions (closes: #942686)

 -- Joel Rosdahl <joel@debian.org>  Thu, 12 Dec 2019 21:11:20 +0100

python-apsw (3.29.0-r1-2) unstable; urgency=medium

  * Back out "Fix the installation of 3.8 extensions" (closes: #943506)

 -- Joel Rosdahl <joel@debian.org>  Fri, 25 Oct 2019 20:15:23 +0200

python-apsw (3.29.0-r1-1) unstable; urgency=medium

  * New upstream release 3.29.0-r1
  * Fix the installation of 3.8 extensions (closes: #942686)
  * Require libsqlite3-dev 3.29.0 for building
  * Bump Standards-Version to 4.4.1 (no changes)

 -- Joel Rosdahl <joel@debian.org>  Thu, 24 Oct 2019 21:38:46 +0200

python-apsw (3.28.0-r1-1) unstable; urgency=medium

  * New upstream release 3.28.0-r1
  * Require libsqlite3-dev 3.28.0 for building

 -- Joel Rosdahl <joel@debian.org>  Sat, 03 Aug 2019 11:19:06 +0200

python-apsw (3.27.2-r1-1) unstable; urgency=medium

  * New upstream release 3.27.2-r1
  * Update Standards-Version to 4.3.0 with no changes
  * Require libsqlite3-dev 3.27.2 for building
  * Update debian/copyright to match current copyright text

 -- Joel Rosdahl <joel@debian.org>  Wed, 01 May 2019 22:25:11 +0200

python-apsw (3.24.0-r1-1) unstable; urgency=medium

  * New upstream release 3.24.0-r1
  * Require libsqlite3-dev 3.24.0 for building
  * Bump Standards-Version to 4.2.1
  * Remove outdated X-Python3-Version control tag
  * Add bindnow linker flag for hardening
  * Remove deprecated priority extra

 -- Joel Rosdahl <joel@debian.org>  Wed, 12 Sep 2018 20:40:43 +0200

python-apsw (3.16.2-r1-2) unstable; urgency=medium

  * Require libsqlite3-dev 3.16.2 for building

 -- Joel Rosdahl <joel@debian.org>  Sun, 12 Feb 2017 21:50:39 +0100

python-apsw (3.16.2-r1-1) unstable; urgency=medium

  * New upstream release 3.16.2-r1

 -- Joel Rosdahl <joel@debian.org>  Sun, 12 Feb 2017 17:35:55 +0100

python-apsw (3.13.0-r1-1) unstable; urgency=medium

  * New upstream release 3.13.0-r1
  * Require libsqlite3-dev 3.13.0 for building
  * Bump Standards-Version to 3.9.8 (no changes)

 -- Joel Rosdahl <joel@debian.org>  Sun, 28 Aug 2016 15:23:05 +0200

python-apsw (3.8.11.1-r1-1) unstable; urgency=medium

  [ Joel Rosdahl ]
  * New upstream version
  * Use debhelper compat level 9
  * Update debian/watch to new upstream location

  [ Scott Kitterman ]
  * Move dh_python2/3 calls to after dh_install so dependency generation works
    (thanks to Piotr Ożarowski for figuring this part out) (closes: #799272)
  * Correct python:Depends to be python3:Depends so proper dependencies are
    generated for python3-apsw
  * Add build-depends on dh-python so current code base is used
  * Remove obsolete provides

 -- Joel Rosdahl <joel@debian.org>  Thu, 17 Sep 2015 21:16:10 +0200

python-apsw (3.8.10.1-r1-1) unstable; urgency=medium

  * New upstream release 3.8.10.1-r1
  * Require libsqlite3-dev >= 3.8.10
  * Bumped Standards-Version to 3.9.6 (no changes)

 -- Joel Rosdahl <joel@debian.org>  Sun, 21 Jun 2015 16:10:45 +0200

python-apsw (3.8.6-r1-1) unstable; urgency=medium

  * New upstream release 3.8.6-r1
  * Require libsqlite3-dev >= 3.8.6

 -- Joel Rosdahl <joel@debian.org>  Mon, 08 Sep 2014 22:31:00 +0200

python-apsw (3.8.5-r1-1) unstable; urgency=medium

  * New upstream release 3.8.5-r1
  * Require libsqlite3-dev >= 3.8.5

 -- Joel Rosdahl <joel@debian.org>  Thu, 10 Jul 2014 14:52:09 +0200

python-apsw (3.8.2-r1-2) unstable; urgency=medium

  * New upstream URL and license text
  * Handle /usr/share/doc/python-apsw-doc symlink upgrade (closes: #736303)
  * Move python3 debug extensions into python3-apsw-dbg (closes: #736775)
  * Remove Google Analytics footer
  * Build-depend on libsqlite3-dev 3.8.2

 -- Joel Rosdahl <joel@debian.org>  Fri, 07 Feb 2014 20:00:13 +0100

python-apsw (3.8.2-r1-1) unstable; urgency=low

  * New upstream release 3.8.2-r1.

 -- Joel Rosdahl <joel@debian.org>  Wed, 11 Dec 2013 22:05:31 +0100

python-apsw (3.8.1-r1-1) unstable; urgency=low

  * New upstream release 3.8.1-r1.
  * Bump Standards-Version to 3.9.5

 -- Joel Rosdahl <joel@debian.org>  Sun, 08 Dec 2013 10:30:29 +0100

python-apsw (3.7.17-r1-1) unstable; urgency=low

  [Joel Rosdahl]
  * New upstream release 3.7.17-r1.

  [ Nikolaus Rath ]
  * Also build Python 3 package (closes: #706992)
  * Tighten build depends on libsqlite3-dev (closes: #710049)

 -- Joel Rosdahl <joel@debian.org>  Tue, 18 Jun 2013 22:24:58 +0200

python-apsw (3.7.16.1-r1-1) unstable; urgency=low

  * New upstream release 3.7.16.1-r1

 -- Joel Rosdahl <joel@debian.org>  Sun, 31 Mar 2013 20:41:13 +0200

python-apsw (3.7.14.1-r1-1) unstable; urgency=low

  * New upstream release 3.7.14.1-r1
  * Add X-Python-Version control field
  * Build with flags from /usr/share/dpkg/buildflags.mk for hardening
  * Don't symlink doc directory for python-apsw-doc to python-apsw

 -- Joel Rosdahl <joel@debian.org>  Sun, 25 Nov 2012 15:10:34 +0100

python-apsw (3.7.14-r1-1) unstable; urgency=low

  * New upstream version 3.7.14-r1
  * Don't use defunct googlecode.debian.net redirector anymore
  * Update copyright years from doc/copyright.html
  * Use underscore.js from libjs-underscore
  * Use the min variant of jquery
  * Don't let python-apsw-doc depend on python-apsw
  * Bump Standards-Version to 3.9.4

 -- Joel Rosdahl <joel@debian.org>  Sun, 23 Sep 2012 18:42:47 +0200

python-apsw (3.7.6.3-r1-1) unstable; urgency=low

  * New upstream release
  * Convert from dh_pycentral to dh_python2 (closes: #616991)
  * Use debhelper compat level 8
  * Bump Standards-Version to 3.9.2
  * Pass --install-layout=deb to "setup.py install"
  * Add build-arch and build-indep targets to debian/rules
  * Imported Upstream version 3.7.6.3-r1

 -- Joel Rosdahl <joel@debian.org>  Thu, 30 Jun 2011 22:45:04 +0200

python-apsw (3.7.5-r1-1) unstable; urgency=low

  * New upstream version.

 -- Joel Rosdahl <joel@debian.org>  Sun, 20 Feb 2011 17:09:08 +0100

python-apsw (3.7.0.1-r1-1) unstable; urgency=low

  * New upstream release.
  * Use correct section for APSW manual in doc-base entry.
  * Updated Standards-Version to 3.9.1.
  * Added debian/watch file.
  * Removed asterisks from NEWS.Debian.
  * The doc-base entry is now actually included in python-apsw-doc.

 -- Joel Rosdahl <joel@debian.org>  Sat, 14 Aug 2010 22:16:48 +0200

python-apsw (3.6.23.1-r1-1) unstable; urgency=low

  * New upstream version.
  * Changed source package format to "3.0 (quilt)".
  * Updated Standards-Version to 3.8.4.
  * Don't compile with debug information in the non-dbg package.

 -- Joel Rosdahl <joel@debian.org>  Sun, 16 May 2010 14:34:35 +0200

python-apsw (3.6.22-r1-2) unstable; urgency=low

  * Split documentation into a python-apsw-doc package to avoid
    python-apsw depending on libjs-jquery. Closes: #565868.
  * Removed obsolete .doc-base files for python2.4 and python2.5.
  * Added .doc-base file for python-apsw-doc.
  * Build depend on debhelper >= 7.0.0~.

 -- Joel Rosdahl <joel@debian.org>  Sat, 23 Jan 2010 20:38:33 +0100

python-apsw (3.6.22-r1-1) unstable; urgency=low

  * New upstream version.
  * Added ${misc:Depends} for binary packages' requirements.

 -- Joel Rosdahl <joel@debian.org>  Mon, 11 Jan 2010 20:44:37 +0100

python-apsw (3.6.20-r1-1) unstable; urgency=low

  * New upstream version.
  * Enable extension loading again. Closes: #557567.
  * Remove src/shell.c when cleaning so that it doesn't end up in the
    diff.
  * Updated URL to APSW's new location at Google Code.
  * Updated debian/copyright to match current license.

 -- Joel Rosdahl <joel@debian.org>  Mon, 23 Nov 2009 21:43:50 +0100

python-apsw (3.6.19-r1-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards-Version to 3.8.3.
  * Build-depend on libsqlite3-dev >= 3.6.18.
  * Put python-apsw-dbg in the Debug section.
  * Put HTML documentation in /usr/share/doc/python-apsw/html and let
    python-apsw depend on and use libjs-jquery.

 -- Joel Rosdahl <joel@debian.org>  Sun, 18 Oct 2009 22:08:57 +0200

python-apsw (3.6.13-r1-1) unstable; urgency=low

  * New upstream release.

 -- Joel Rosdahl <joel@debian.org>  Sun, 10 May 2009 22:35:38 +0200

python-apsw (3.5.9-r2-1) unstable; urgency=low

  * New upstream release.
  * Build dependency on libsqlite3-dev 3.5.9.
  * Updated Standards-Version to 3.8.0.

 -- Joel Rosdahl <joel@debian.org>  Mon, 07 Jul 2008 20:24:11 +0200

python-apsw (3.3.13-r1-3) unstable; urgency=low

  * Build python-apsw-dbg package.

 -- Joel Rosdahl <joel@debian.org>  Thu, 21 Jun 2007 23:18:31 +0200

python-apsw (3.3.13-r1-2) unstable; urgency=low

  * Corrected documentation about Unicode strings in apsw.html.
  * Created NEWS.Debian with information about notable changes since
    python-apsw 3.3.5r1.

 -- Joel Rosdahl <joel@debian.org>  Sun, 03 Jun 2007 23:09:49 +0200

python-apsw (3.3.13-r1-1) unstable; urgency=low

  * New upstream release.
  * Updated build dependencies on debhelper, python-all-dev,
    python-central and libsqlite3-dev.
  * Removed use of dh_python.
  * Added debian/pycompat.
  * Removed XS-Python-Standards-Version field.

 -- Joel Rosdahl <joel@debian.org>  Thu, 12 Apr 2007 07:07:54 +0200

python-apsw (3.3.5r1-2) unstable; urgency=low

  * Adapt to new Python policy. Closes: bug#373511.
  * Updated Standards-Version to 3.7.2.

 -- Joel Rosdahl <joel@debian.org>  Mon, 19 Jun 2006 18:43:11 +0000

python-apsw (3.3.5r1-1) unstable; urgency=low

  * New upstream release. Closes: bug#365222.
  * APSW now has more error checking. Closes: bug#329236.

 -- Joel Rosdahl <joel@debian.org>  Tue,  2 May 2006 22:53:03 +0200

python-apsw (3.2.7r1-1) unstable; urgency=low

  * New upstream release.
  * Closes: bug#329233 ("segfault on too few argument bindings").

 -- Joel Rosdahl <joel@debian.org>  Sun,  9 Oct 2005 21:31:13 +0200

python-apsw (3.2.2r1-3) unstable; urgency=low

  * Clarified description.

 -- Joel Rosdahl <joel@debian.org>  Fri,  9 Sep 2005 18:16:51 +0200

python-apsw (3.2.2r1-2) unstable; urgency=low

  * Added doc-base information.

 -- Joel Rosdahl <joel@debian.org>  Fri,  2 Sep 2005 17:59:56 +0200

python-apsw (3.2.2r1-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version 3.6.2.

 -- Joel Rosdahl <joel@debian.org>  Sun, 21 Aug 2005 19:12:14 +0200

python-apsw (3.2.1r1-1) unstable; urgency=low

  * New upstream release.

 -- Joel Rosdahl <joel@debian.org>  Sun,  5 Jun 2005 11:50:41 +0200

python-apsw (3.1.3r1-2) unstable; urgency=low

  * Corrected description of the python-apsw binary package.

 -- Joel Rosdahl <joel@debian.org>  Tue,  5 Apr 2005 16:50:49 +0200

python-apsw (3.1.3r1-1) unstable; urgency=low

  * First version of the package. Closes: bug#296652.

 -- Joel Rosdahl <joel@debian.org>  Thu, 10 Mar 2005 22:06:25 +0100
